apiVersion: apps/v1
kind: Deployment
metadata:
  name: rabbitmq
spec:
  replicas: 2
  selector:
    matchLabels:
      app: rabbitmq
  template:
    metadata:
      labels:
        app: rabbitmq
    spec:
      containers:
      - name: rabbitmq
        image: rabbitmq:3-management
        imagePullPolicy: IfNotPresent
        securityContext:
          runAsUser: 1000
          runAsNonRoot: true
        resources:
          requests:
            memory: "128Mi"
            cpu: "100m"
          limits:
            memory: "256Mi"
            cpu: "200m"
        ports:
        - containerPort: 5672
        - containerPort: 15672
        env:
          - name: RABBITMQ_CONFIG_FILE
            value: "/etc/rabbitmq/custom/rabbitmq.conf"
        volumeMounts:
          - name: pvc-supp
            mountPath: "/etc/rabbitmq/custom/"
      volumes:
        - name: pvc-supp
          persistentVolumeClaim:
            claimName: pvc-supp
      
